%global api_ver 5.0

Name:		libgdamm
Version:	4.99.8
Release:	3%{?dist}
Summary:	C++ wrappers for libgda
Group:		System Environment/Libraries
License:	LGPLv2+
URL:		http://www.gtkmm.org/
Source0:	http://ftp.gnome.org/pub/GNOME/sources/libgdamm/4.99/%{name}-%{version}.tar.xz
BuildRequires:	glibmm24-devel >= 2.27.93
BuildRequires:	mm-common >= 0.9.5
BuildRequires:  libgda-devel >= 5.0.2
BuildRequires:  libgda-bdb >= 5.0.2

%description
C++ wrappers for libgda. libgdamm is part of a set of powerful
C++ bindings for the GNOME libraries, which provide additional
functionality above GTK+/gtkmm.

%package devel
Summary:	Headers/Libraries for developing programs that use libgdamm
Group:		Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:	pkgconfig

%description devel
This package contains headers and libraries that programmers will need 
to develop applications which use libgdamm.

%package        doc
Summary:        API documentation for %{name}
Group:          Documentation
BuildArch:      noarch
BuildRequires:  doxygen graphviz
Requires:       glibmm24-doc

%description    doc
This package contains the full API documentation for %{name}.

%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install
find %{buildroot} -type f -name "*.la" -exec rm -f {} ';'

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-, root, root, -)
%doc AUTHORS COPYING ChangeLog NEWS
%{_libdir}/*.so.*


%files devel
%{_includedir}/libgdamm-%{api_ver}
%{_libdir}/*.so
%{_libdir}/libgdamm-%{api_ver}
%{_libdir}/pkgconfig/*.pc

%files doc
%doc COPYING
%doc %{_datadir}/devhelp/books/%{name}-%{api_ver}
%doc %{_docdir}/%{name}-%{api_ver}


%changelog
* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.99.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.99.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat May 17 2014 Kalev Lember <kalevlember@gmail.com> - 4.99.8-1
- Update to 4.99.8

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.99.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.99.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Oct 21 2012 Haïkel Guémar <hguemar@fedoraproject.org> - 4.99.6-1
- upstream 4.99.6 (api 5.0)
- cleanup spec

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.1.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.1.3-3
- Rebuilt for c++ ABI breakage

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Oct 11 2011 Haïkel Guémar <haikel.guemar@sysfera.com> - 4.1.3-1
- upstream 4.1.3

* Mon Jul 04 2011 Karsten Hopp <karsten@redhat.com> 4.1.2-2
- buildrequire mm-common
- fix pkg-config call to figure out doctooldir

* Mon Feb 28 2011 Haïkel Guémar <hguemar@fedoraproject.org> - 4.1.2-1
- Update to upstream 4.1.2
- put doc in sub-package

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Oct 26 2010 Haïkel Guémar <hguemar@fedoraproject.org> - 4.1.1-1
- Update to upstream 4.1.1

* Sat Jul 31 2010 Haïkel Guémar <hguemar@fedoraproject.org> - 3.99.20-1
- Update to upstream 3.99.20

* Wed Apr 28 2010 Haïkel Guémar <hguemar@fedoraproject.org> - 3.99.19-1
- Update to upstream 3.99.19

* Sat Sep 26 2009 Denis Leroy <denis@poolshark.org> - 3.99.17.1-1
- Update to upstream 3.99.17.1
- Added documentation under gtk-doc

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.99.15-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Jun 25 2009 Denis Leroy <denis@poolshark.org> - 3.99.15-1
- Update to upstream 3.99.15, as part of glom update

* Mon Mar 23 2009 Denis Leroy <denis@poolshark.org> - 3.99.14-1
- Update to upstream 3.99.14

* Wed Mar  4 2009 Denis Leroy <denis@poolshark.org> - 3.99.12-1
- Update to upstream 3.99.12

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.99.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Feb 23 2009 Denis Leroy <denis@poolshark.org> - 3.99.11-1
- Update to upstream 3.99.11, to match libgda version

* Wed Jan 21 2009 Denis Leroy <denis@poolshark.org> - 3.99.8-1
- Update to upstream 3.99.8 (4.0 API)

* Thu Nov 20 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 3.0.1-2
- fix source url

* Fri Oct  3 2008 Denis Leroy <denis@poolshark.org> - 3.0.1-1
- Update to upstream 3.0.1, bugfix release

* Mon Mar 17 2008 Denis Leroy <denis@poolshark.org> - 3.0.0-1
- Update to upstream 3.0.0

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 2.9.81-2
- Autorebuild for GCC 4.3

* Sat Jan 26 2008 Denis Leroy <denis@poolshark.org> - 2.9.81-1
- Update to upstream 2.9.81, needed a rebuild for libgda anyway

* Wed Sep 12 2007 Denis Leroy <denis@poolshark.org> - 2.9.8-1
- Update to 2.9.8, a bugfix release

* Thu Aug 23 2007 Tom "spot" Callaway <tcallawa@redhat.com> 2.9.7-2
- rebuild for license tag, ppc32

* Mon Jul 23 2007 Tom "spot" Callaway <tcallawa@redhat.com> 2.9.7-1
- back from the dead

* Mon Sep 11 2006 Tom "spot" Callaway <tcallawa@redhat.com> 1.3.7-4
- look who's alive again!

* Tue Feb 28 2006 Tom "spot" Callaway <tcallawa@redhat.com> 1.3.7-3
- FC5 time

* Thu Aug 11 2005 Tom "spot" Callaway <tcallawa@redhat.com> 1.3.7-2
- cleanups, additional devel Requires

* Sat Aug  6 2005 Tom "spot" Callaway <tcallawa@redhat.com> 1.3.7-1
- initial package for Fedora Extras
